Subject: bug#14076: 24.3; Comments in Fortran Source

From: Glenn Morris <[email-masked]>
Date: Tue, 02 Apr 2013 20:19:52 -0400

Please keep the debbugs address cc'd.
[I then forgot to do so myself...]

Fred Krogh wrote:

> O.k. The program shows up with emacs -Q with this program
>
> program tmp
>   integer :: i
>   do i = 1, 5
> ! Comment
>      print '("i=",i0)', i
>   end do
> end program tmp
>
> Highlight the whole program, then <cntrl><alt>\
> and the ! Comment is indented, and I think this should not happen.

Why do you think it should not happen?
F90 mode has always behaved like this.

Earlier you said:

> I have options set so that comments should not be touched when
> formatting a region,

What options are those?